Last Comment Bug 624161 - [Mac Default] rtl-friendly scrollbuttons
: [Mac Default] rtl-friendly scrollbuttons
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: Themes (show other bugs)
: Trunk
: x86 Mac OS X
: -- normal (vote)
: seamonkey2.1b2
Assigned To: Stefan [:stefanh]
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-08 10:43 PST by Stefan [:stefanh]
Modified: 2011-01-18 08:52 PST (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Make scrollbuttons rtl-friendly (3.76 KB, patch)
2011-01-08 10:52 PST, Stefan [:stefanh]
no flags Details | Diff | Splinter Review
Updated for bitrot (3.77 KB, patch)
2011-01-16 14:34 PST, Stefan [:stefanh]
mnyromyr: review+
Details | Diff | Splinter Review

Description Stefan [:stefanh] 2011-01-08 10:43:22 PST
For some reason I never implemented rtl support for the tab scroll.
Comment 1 Stefan [:stefanh] 2011-01-08 10:52:01 PST
Created attachment 502268 [details] [diff] [review]
Make scrollbuttons rtl-friendly

I also fixed som 0px --> 0 (more consistent with the rest of the file).

To test the patch: Create a pref called "intl.uidirection.en-US" (just search for "intl.uidirection" and you'll see the existing ones). You can then flip the ui by toggling between "ltr" and "rtl". I found out the hard way that even though you get the impression that it's instant-apply, you'll need to restart in order to make it work to 100% (possibly some things get cached, I dunno).
Comment 2 Karsten Düsterloh 2011-01-16 14:05:46 PST
Sorry for being late - but the patch doesn't apply to trunk anymore... :-(
Comment 3 Stefan [:stefanh] 2011-01-16 14:34:10 PST
Created attachment 504311 [details] [diff] [review]
Updated for bitrot
Comment 4 Karsten Düsterloh 2011-01-17 15:24:39 PST
Comment on attachment 504311 [details] [diff] [review]
Updated for bitrot

Cool!
Comment 5 Stefan [:stefanh] 2011-01-18 08:52:30 PST
http://hg.mozilla.org/comm-central/rev/41d190c0d35f

Note You need to log in before you can comment on or make changes to this bug.